# Created by pyp2rpm-3.3.2
%global pypi_name pysmi

Name:           python-%{pypi_name}
Version:        0.3.3
Release:        %mkrel 6
Summary:        SNMP SMI/MIB Parser
Group:          Development/Python
License:        BSD
URL:            https://github.com/etingof/pysmi
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(ply)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
A pure-Python implementation of SNMP/SMI MIB parsing and conversion library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(ply)
%description -n python3-%{pypi_name}
A pure-Python implementation of SNMP/SMI MIB parsing and conversion library.

%package -n python-%{pypi_name}-doc
Summary:        pysmi documentation
%description -n python-%{pypi_name}-doc
Documentation for pysmi

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license docs/source/license.rst LICENSE.rst
%doc docs/README.txt README.md
%{_bindir}/mibcopy.py
%{_bindir}/mibdump.py
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license docs/source/license.rst LICENSE.rst


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.3.3-6.mga9
+ Revision: 1832639
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 0.3.3-5.mga9
+ Revision: 1775461
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.3.3-4.mga9
+ Revision: 1733095
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.3-3.mga8
+ Revision: 1535603
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.3.3-2.mga8
+ Revision: 1452570
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 0.3.3-1.mga7
+ Revision: 1353998
- pyp2rpm ; needed by new pysnmp

